"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.db = void 0;
exports.updateDatabase = updateDatabase;
const better_sqlite3_1 = __importDefault(require("better-sqlite3"));
const node_path_1 = __importDefault(require("node:path"));
const node_fs_1 = __importDefault(require("node:fs"));
exports.db = new better_sqlite3_1.default('bot.db');
exports.db.pragma('journal_mode = WAL');
exports.db.defaultSafeIntegers();
function updateDatabase(dirname) {
    const userVersion = parseInt(exports.db.pragma('user_version', { simple: true }));
    const migrateFolder = node_path_1.default.join(dirname, "migrate");
    if (!node_fs_1.default.existsSync(migrateFolder))
        return;
    let updating = true;
    let nextVersion = userVersion;
    while (updating) {
        nextVersion = nextVersion + 1;
        const nextVersionFile = node_path_1.default.join(migrateFolder, `${nextVersion}.sql`);
        if (!node_fs_1.default.existsSync(nextVersionFile)) {
            updating = false;
            break;
        }
        exports.db.exec(node_fs_1.default.readFileSync(nextVersionFile, { encoding: "utf-8" }));
        exports.db.pragma(`user_version = ${nextVersion}`);
    }
}
